View Javadoc

    1   /*
    2    * Copyright 2004-2009 the Seasar Foundation and the Others.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *     http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
    13   * either express or implied. See the License for the specific language
    14   * governing permissions and limitations under the License.
    15   */
    16  package org.seasar.cubby.internal.util;
    17
    18  import java.util.Enumeration;
    19  import java.util.Iterator;
    20
    21  /**
    22   * {@link Iterator 反復子}をラップする{@link Enumeration 列挙}です。
    23   *
    24   * @author baba
    25   *
    26   * @param <E>
    27   *            要素の型
    28   */
    29  public class IteratorEnumeration<E> implements Enumeration<E> {
    30
    31  	/** イテレータ。 */
    32  	private final Iterator<E> iterator;
    33
    34  	/**
    35  	 * 指定された{@link Iterator イテレータ}をラップした{@link Enumeration 列挙}をインスタンス化します。
    36  	 *
    37  	 * @param iterator
    38  	 *            イテレータ
    39  	 */
    40  	public IteratorEnumeration(final Iterator<E> iterator) {
    41  		this.iterator = iterator;
    42  	}
    43
    44  	/**
    45  	 * {@inheritDoc}
    46  	 */
    47  	public boolean hasMoreElements() {
    48  		return iterator.hasNext();
    49  	}
    50
    51  	/**
    52  	 * {@inheritDoc}
    53  	 */
    54  	public E nextElement() {
    55  		return iterator.next();
    56  	}
    57
    58  }